This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 859183 - volume set gives wrong help question
volume set gives wrong help question
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 14:19 EDT by Pranith Kumar K
Modified: 2015-10-22 11:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pranith Kumar K 2012-09-20 14:19:43 EDT
Description of problem:
[root@pranithk-laptop ~]# gluster volume set r2 nfs disable
option : nfs does not exist
Did you mean nfs?
Set volume unsuccessful

If nfs option is not present why is it saying Did you mean nfs again?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jules Wang 2012-10-16 03:54:28 EDT
The cause of the bug is: the author of related code assumes that options only consist of two sections, such as "XXX.XXX".

When it is given the option like: "performance.nfs.read-ahead", it fails to work well.

The related function ls glusterd-volgen.c: volopt_trie, volopt_trie_section.

Full fix is not easy because the poor design. 


Or shall we limit all the options to two sections?
Comment 2 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.